~alpine/aports

2 2

[alpine-aports] [PATCH] main/cairo: upgrade to 1.14.8

Valery Kartel
Details
Message ID
<20170204222426.6509-1-valery.kartel@gmail.com>
Sender timestamp
1486247066
DKIM signature
missing
Download raw message
Patch: +26 -24
--

fontconfig-ultimate: upgrade to 2016-04-23
cleanups in apkbuild
---
 main/cairo/APKBUILD | 50 ++++++++++++++++++++++++++------------------------
 1 file changed, 26 insertions(+), 24 deletions(-)

diff --git a/main/cairo/APKBUILD b/main/cairo/APKBUILD
index 6cd2fb1a8a..0d572d0f0d 100644
--- a/main/cairo/APKBUILD
+++ b/main/cairo/APKBUILD
@@ -1,34 +1,36 @@
 # Maintainer: Natanael Copa <ncopa@alpinelinux.org>
 pkgname=cairo
-pkgver=1.14.4
-pkgrel=1
+pkgver=1.14.8
+pkgrel=0
 pkgdesc="A vector graphics library"
 url="http://cairographics.org/"
 arch="all"
 license="LGPL2+ MPL 1.1"
 depends=
-depends_dev="fontconfig-dev freetype-dev libpng-dev libxrender-dev pixman-dev
-	xcb-util-dev glib-dev libxext-dev"
+depends_dev="fontconfig-dev freetype-dev libxrender-dev pixman-dev
+	xcb-util-dev libxext-dev $pkgname-tools"
 makedepends="$depends_dev zlib-dev expat-dev autoconf automake libtool"
 subpackages="$pkgname-dev $pkgname-doc $pkgname-gobject $pkgname-tools"
 # fontconfig-ultimate https://github.com/bohoomil/fontconfig-ultimate
-_ultver="2015-06-09"
+_ultver="2016-04-23"
 source="http://cairographics.org/releases/$pkgname-$pkgver.tar.xz
-        fontconfig-ultimate-$_ultver.tar.gz::https://github.com/bohoomil/fontconfig-ultimate/archive/$_ultver.tar.gz"
-
-_builddir="$srcdir"/$pkgname-$pkgver
+	fontconfig-ultimate-$_ultver.tar.gz::https://github.com/bohoomil/fontconfig-ultimate/archive/$_ultver.tar.gz
+	"
+builddir="$srcdir/$pkgname-$pkgver"
 
 prepare() {
-	cd "$_builddir"
-        # infinality
-        for j in "$srcdir"/fontconfig-ultimate-$_ultver/$pkgname/*.patch; do
-                msg "Applying ${j}"
-                patch -p1 -i $j || return 1
-        done
+	cd "$builddir"
+	default_prepare || return 1
+
+	# infinality
+	for j in "$srcdir"/fontconfig-ultimate-$_ultver/$pkgname/*.patch; do
+		msg "Applying ${j}"
+		patch -p1 -i $j || return 1
+	done
 }
 
 build() {
-	cd "$_builddir"
+	cd "$builddir"
 	autoreconf -vif
 	./configure \
 		--build=$CBUILD \
@@ -51,27 +53,27 @@ build() {
 }
 
 package() {
-	cd "$_builddir"
+	cd "$builddir"
 	make DESTDIR="$pkgdir" install || return 1
 }
 
 gobject() {
-	pkgdesc="GObject bindings for cairo"
+	pkgdesc="$pkgdesc (gobject bindings)"
 	mkdir -p "$subpkgdir"/usr/lib
 	mv "$pkgdir"/usr/lib/libcairo-gobject.so.* "$subpkgdir"/usr/lib/
 }
 
 tools() {
-	pkgdesc="Development tools for cairo"
+	pkgdesc="$pkgdesc (development tools)"
 	mkdir -p "$subpkgdir"/usr/lib/cairo
 	mv "$pkgdir"/usr/bin "$subpkgdir"/usr/ || return 1
 	mv "$pkgdir"/usr/lib/cairo/libcairo-trace.* \
 		"$subpkgdir"/usr/lib/cairo/
 }
 
-md5sums="90a929e8fe66fb5d19b5adaaea1e9a12  cairo-1.14.4.tar.xz
-70a971a34af0974bb61201925aab6929  fontconfig-ultimate-2015-06-09.tar.gz"
-sha256sums="f6ec9c7c844db9ec011f0d66b57ef590c45adf55393d1fc249003512522ee716  cairo-1.14.4.tar.xz
-0195e8bff84ab973c001f04b9f5e9d59711444bfeebbed57ef76518975c91394  fontconfig-ultimate-2015-06-09.tar.gz"
-sha512sums="b0d983c89ed31a53e26af89e174bb6df3e7c83cf482cbf975c839022ea84b74bb775599d24ca50f4482bbb6d6ef5d09ebb8273d08dfc928328f880344d4e66b2  cairo-1.14.4.tar.xz
-766562cb90651936edb43c206b30653a50fc401c2b9affe7cad73d69adfba3aaa6362830153eda6631dc3b8f5d0fd9b02934326ff1c4a68d136555bd6a48db86  fontconfig-ultimate-2015-06-09.tar.gz"
+md5sums="4ef0db2eacb271c74f8a3fd87822aa98  cairo-1.14.8.tar.xz
+66e377b2191f4852a1dc9ea53e8c340b  fontconfig-ultimate-2016-04-23.tar.gz"
+sha256sums="d1f2d98ae9a4111564f6de4e013d639cf77155baf2556582295a0f00a9bc5e20  cairo-1.14.8.tar.xz
+9ea0e2455980be7c2ff649c1deb07838e9be64f4fad939716e0050fd5897b057  fontconfig-ultimate-2016-04-23.tar.gz"
+sha512sums="dfe77a01ca72e21e11610243a5f6e92e6b0821c4ace11686fb0bac8f0bf9217a79974ff46bdf3d19fd85173f5f24f2c3f6d4e00cf729a55a6492e6798d6c4ec2  cairo-1.14.8.tar.xz
+d8185f4ec74f44c4746acf7e79bba7ff7ffd9d35bdabeb25e10b4e12825942d910931aa857f1645e5c8185bcb40a1f1ffe1e7e647428e9ea66618b2aec52fac3  fontconfig-ultimate-2016-04-23.tar.gz"
-- 
2.11.0



---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---
Timo Teras
Details
Message ID
<20170206113323.544a7f29@vostro.util.wtbts.net>
In-Reply-To
<20170204222426.6509-1-valery.kartel@gmail.com> (view parent)
Sender timestamp
1486373603
DKIM signature
missing
Download raw message
On Sun,  5 Feb 2017 00:24:26 +0200
Valery Kartel <valery.kartel@gmail.com> wrote:

> --
> --- a/main/cairo/APKBUILD
> +++ b/main/cairo/APKBUILD
> -depends_dev="fontconfig-dev freetype-dev libpng-dev libxrender-dev
> pixman-dev
> -	xcb-util-dev glib-dev libxext-dev"
> +depends_dev="fontconfig-dev freetype-dev libxrender-dev pixman-dev
> +	xcb-util-dev libxext-dev $pkgname-tools"

Why are you removing glib-dev and libpng-dev ?

The build now failed with:

checking for GOBJECT... no
checking whether cairo's gobject functions feature could be enabled...
no (requires gobject-2.0 glib-2.0 >= 2.14
http://download.gnome.org/pub/GNOME/sources/glib/)



---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---
Valery Kartel
Details
Message ID
<CAKTwcDP=yppQ43inCtkoPL70=4_kAK8qZBZHm-bEm_XkbXBaZg@mail.gmail.com>
In-Reply-To
<20170206113323.544a7f29@vostro.util.wtbts.net> (view parent)
Sender timestamp
1486377112
DKIM signature
missing
Download raw message
oh, I remove it from depends_dev, but forgot to add to makedepends.

Just a sec. I'll make a v2 patch

2017-02-06 11:33 GMT+02:00 Timo Teras <timo.teras@iki.fi>:

> On Sun,  5 Feb 2017 00:24:26 +0200
> Valery Kartel <valery.kartel@gmail.com> wrote:
>
> > --
> > --- a/main/cairo/APKBUILD
> > +++ b/main/cairo/APKBUILD
> > -depends_dev="fontconfig-dev freetype-dev libpng-dev libxrender-dev
> > pixman-dev
> > -     xcb-util-dev glib-dev libxext-dev"
> > +depends_dev="fontconfig-dev freetype-dev libxrender-dev pixman-dev
> > +     xcb-util-dev libxext-dev $pkgname-tools"
>
> Why are you removing glib-dev and libpng-dev ?
>
> The build now failed with:
>
> checking for GOBJECT... no
> checking whether cairo's gobject functions feature could be enabled...
> no (requires gobject-2.0 glib-2.0 >= 2.14
> http://download.gnome.org/pub/GNOME/sources/glib/)
>
>